%undefine __libtoolize
%define objprelink 0
%define cvs alpha1b

Summary: KDE Graphical FTP client.
Name:    kbear
Version: 3.0
Release: alt0.1.%cvs
Url:     http://kbear.sourceforge.net

Group:   Networking/File transfer
Source:  %name-%version-%cvs.tar.bz2
License: GPL
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Requires: kdelibs-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Sun Nov 16 2003
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ hostinfo kde-settings
BuildRequires: kdegames-libs kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio
BuildRequires: libexpat libjpeg-devel liblcms libmng libpng-devel libqt2-devel-static libqt3-devel
BuildRequires: libstdc++-devel libxslt qt3-designer xml-utils zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
KBear is a graphical ftp client for KDE with ability to connect to multiple hosts simultanously.

%package devel
Group: Development/C++
Summary: Development files for %name
Requires: %name = %version-%release
#
%description devel
This package contains headers and other development files for %name

%package doc
Group: Networking/File transfer
Summary: HTML Documents for %name
Requires: %name = %version-%release
#
%description doc
This package contains documents for %name

%prep
%setup -q -n %name-%version-%cvs
make -f admin/Makefile.common cvs

%build
%configure \
	--disable-rpath \
	--enable-shared \
	--disable-static \
	--disable-debug \
	--with-qt-dir=/usr/lib/qt3

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method textrel=relaxed

# Create MDK menus
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl kbear Networking/File\ transfer %buildroot/%_datadir/applnk/Internet/kbear.desktop %buildroot/%_menudir/kbear

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/*.la
%_libdir/*.so.*
%_libdir/kde3/*.la
%_datadir/applnk/Internet/%name.desktop
%_datadir/apps/%name
%_datadir/apps/kbearfilediff
%_datadir/apps/kbearlocalfilesyspart
%_datadir/apps/kbearrecentconnections
%_datadir/apps/kbearremotefilesyspart
%_datadir/apps/kbearsitemanager
%_datadir/apps/kbearsystemtraydock
%_datadir/apps/kbeartipofday
%_datadir/apps/kbeartools
%_datadir/apps/kbeartransferoutput
%_datadir/apps/kbeartransferqueue
%_datadir/apps/kbearwizard
%_datadir/config/kbear*
%_iconsdir/*/*/*/*.png
%_datadir/services/*.desktop
%_datadir/services/*.protocol
%_datadir/servicetypes/*.desktop
#
%_menudir/%name
#
%doc AUTHORS ChangeLog TODO

%files devel
%dir %_includedir/%name
%_includedir/%name/*
%_libdir/*.so
%_libdir/kde3/*.so

%files doc
%doc README NEWS
%doc %_datadir/doc/HTML/cs/kbear
%doc %_datadir/doc/HTML/en/kbear
%doc %_datadir/doc/HTML/fr/kbear
%doc %_datadir/doc/HTML/sv/kbear

%changelog
* Sun Nov 16 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 3.0-alt0.1.%cvs
- 3.0-%cvs
- new buildrequires and rebuilding in hahsher

* Tue Mar 04 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 2.1-alt1
- 2.1

- specfile cleanup


